New update broke my addons.

General discussion, compatibility and contributed extensions.

Moderators: FranklinDM, Lootyhoof

Locked
draxxis

New update broke my addons.

Post by draxxis » 2012-12-10, 00:51

so, just updated to the latest pale moon and pretty much all my addons have been broken. does anyone have any idea how to fix this or what version i would need to roll back to?
Adblock Plus2.2.1
DownloadHelper4.9.12
DownThemAll!2.0.15
DownThemAll! AntiContainer1.2
Image Search Options2.0.2
Imgur Uploader1.0.4
NoScript2.6.3
Personas1.6.2
Personas Expression2.1.2
SearchIMDB1.2.0
Session Manager0.7.9.1
Tab Mix Plus0.4.0.3.1
Thumbnail Zoom Plus2.3
TinEye Reverse Image Search1.1
YouTube Auto Replay2.82
also new to forum, hi everyone. :D

lyceus
Moon Magic practitioner
Moon Magic practitioner
Posts: 2210
Joined: 2011-09-13, 23:08

Re: New update broke my addons.

Post by lyceus » 2012-12-10, 06:23

I have Adblock Plus, Download Helper, DownThemAll! (both), Personas and PM works fine. Maybe you need to restart the browser without plugins and try trun on one per one. Often some plugins do not like each other (example ABP+ and Fireshot were crashing until I got Better Privacy which solved whatever was bad, odd) or some add-on that don't like to see "15.3.2" in the user agent version.

hardcover57

Re: New update broke my addons.

Post by hardcover57 » 2013-01-08, 17:25

Same here. It done be broke good. Moved it back to v15 still be broke even worse. Till they realize it doesn't work I'm going back to good old slow but reliable firefox. So long pale moon let me know when you get it fixed. I depend to much on my add ons. If all I wanted was bare bones, well there are much faster browsers.

hardcover57

Re: New update broke my addons.

Post by hardcover57 » 2013-01-08, 20:57

I tried Firefox 18, GO BACKWARDS! 80% of my addons were incompatible. I've had to go back to pale moon 11 to get back on track again. If anyone else is having the same problem I would recommend you do the same, lets wait for third party developers to catch up. :thumbdown:

User avatar
Night Wing
Knows the dark side
Knows the dark side
Posts: 4293
Joined: 2011-10-03, 10:19
Location: Texas, USA

Re: New update broke my addons.

Post by Night Wing » 2013-01-08, 22:51

I just updated Firefox, my backup browser, to version 18.0 and it did not break my only "two" addons which are NoSquint and IE Tab V2.

Pale Moon, version 15.3.2 did not break the same two addons above which I use in Pale Moon.
Linux Mint 20 (Ulyana) Xfce 64 Bit with 64 Bit linux Pale Moon

User avatar
Apollo702
Fanatic
Fanatic
Posts: 142
Joined: 2012-08-06, 10:04
Location: Far from civlization

Re: New update broke my addons.

Post by Apollo702 » 2013-01-09, 03:41

Re: New update broke my addons.

I run 80-90% of the add-ons in that list and they are working better than ever! I run 133( and 6 disabled) and I have a very aggressive system that I have put together and any flaws with PM are extremely minor. Every now and then I ask some questions or make some feature requests but these days it really comes down to very minor fine-tuning. MC or some others in the know might be able to help you debug what is wrong but those exact same add-ons are working better than ever for me and all of my family, friends, clients...

I started my business in 2010 and the browser portion was based on the last good version of Firefox- 3.6- in other words before rabid-release started. Looking back it was a good system for 2010 but the current PM versions blow it out of the water. When rabid-release started I went through a long struggle after that perfecting the system and trying to either make it work on the constantly changing versions of Freezefox or just sticking with 3.6. Now I just urge people to run Palemoon and not bother with any of that agony. The latest version of PM is noticeably faster, more stable, more powerful... than where things were a year or two ago. The only reason I don't tell people to uninstall stinky old Internet Explorer is because it is so deeply buried in Windows.

I do have every major browser installed for testing purposes and I run a nearly carbon copy of the system in FF for testing and comparison purposes. I have yet to bother trying the new FF18 though. For most people running the other browsers isn't worth the hassle. The latest PM is the best browser ever! Just run it and make browsing a thing of beauty and cut out all the unnecessary agony :clap:

Image




User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 27089
Joined: 2011-08-28, 17:27
Location: 58°2'16"N 14°58'31"E
Contact:

Re: New update broke my addons.

Post by Moonchild » 2013-01-09, 09:11

People,

Add-on compatibility depends on 2 sides: the browser side and the add-on side. Because Mozilla has been making constant changes in the browser user interface with the rapid release schedule to push "new features", add-on developers are likewise pushed to make their add-ons compatible with the changed interface. This means that for an add-on to be compatible with Pale Moon 15.*, you may have to run a slightly earlier version of the add-on.

In almost all cases, the incompatible later version add-on is only updated to cater to the changed browser interface, and not to change something fundamental in the add-on.

That being said, if going back to Pale Moon 11 fixes your add-on compatibility, then you may be looking at the other side of this story and need to upgrade your add-on.

Long story short: if your add-on is incompatible because it has been updated to work with the latest version of the Firefox code only, check at addons.mozilla.org in the add-on's page. First, at the bottom, click the arrow next to version information if an add-on says "incompatible", then See complete version history:
Bottom of AMO page for an add-on
Bottom of AMO page for an add-on
Find an older version that, when hovered over, gives you a clickable (green or striped yellow) button to install it.
old versions page
old versions page
"There will be times when the position you advocate, no matter how well framed and supported, will not be accepted by the public simply because you are who you are." -- Merrill Rose
Image

Pasta Viking

Re: New update broke my addons.

Post by Pasta Viking » 2013-01-13, 22:35

Normally for add-ons broken by updates, I'd recommend saving the add-on file to somewhere on your computer, opening it up with a file archiver program (e.g. 7-Zip or WinRAR), then going into the install.rdf file and changing the maxversion line.

That being said, I have the newest versions of Adblock Plus and DownThemAll! on my Pale Moon 15.3.2 installation and they work just fine, so I doubt that method will do much good for you. Are you using the x64 version of Pale Moon? You can try doing what lobocursor said and check if it's the browser plug-ins that are causing the add-ons to not work. Did you try uninstalling and re-installing PM? (be sure to back up bookmarks first)

moonlighting

Re: New update broke my addons.

Post by moonlighting » 2013-01-18, 19:43

I've found that since Pale Moon's version numbering is different than Firefox's I need to install a few plugins so installing / upgrading Firefox addons won't be much of a problem.

* Disable Add-on Compatibility Checks - https://addons.mozilla.org/en-US/firefo ... atibility/
* Skip Addon Compatibility Check 2 - https://addons.mozilla.org/en-US/firefo ... don-check/

Change the user agent (one of the following is fine):
* Blender - https://addons.mozilla.org/en-us/firefo ... blender-1/ (I use this one)
* Blend-in - https://addons.mozilla.org/en-us/firefo ... /blend-in/ (This one is updated a bit more regularly)

Hope that helps!

User avatar
Apollo702
Fanatic
Fanatic
Posts: 142
Joined: 2012-08-06, 10:04
Location: Far from civlization

Re: New update broke my addons.

Post by Apollo702 » 2013-01-19, 23:47

You could also run Nightly Tester Tools and force compatibility instead of having to go in there and do all of those manual edits. Unless there is a true fundamental conflict virtually all add-ons still work just fine.I run zillions of add-ons and even some ancient ones are running like new. https://addons.mozilla.org/en-us/firefox/addon/nightly-tester-tools/?src=ss

albertrn

Re: New update broke my addons.

Post by albertrn » 2013-01-31, 11:12

I have had the same problem. All my add-ons except gmail vanished and I spent nearly all yesterday repairing the browser on two PCs. These are not old versions of the add-ons and this shouldn't happen.
I have been a satisfied user of Pale Moon for years although I have lost some add-ons with more recent updates but if it happens again I will look elsewhere.

User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 27089
Joined: 2011-08-28, 17:27
Location: 58°2'16"N 14°58'31"E
Contact:

Re: New update broke my addons.

Post by Moonchild » 2013-02-01, 12:44

To clarify this:

It's not "just a number". Pale Moon 15.* is based on the UI and rendering engine code of Firefox 15. With the changes made to especially the user interface code, compatibility for add-ons was broken and add-on developers have had to make changes to their add-ons to make them compatible again with later Firefox versions. If addons.mozilla.org would work as it is intended, it would offer the "latest compatible version" of the add-on for your browser automatically, but unfortunately it doesn't work as it should. See also bug #823840:

Yeah, that's another known bug. Search results that specify compatibility only take into account the latest version. I can't find the version number, but it's the same bug that prevents Lightning from showing up in the add-on manager search results for anything but the latest Thunderbird.



To install your favorite add-on, you need to check the addons.mozilla.org page of your add-on, at the bottom, where it says "Version Information" click that to open the panel, then "see complete version history" and find the latest version number that supports the same major version of the Pale Moon you are using (currently 15.*)
"There will be times when the position you advocate, no matter how well framed and supported, will not be accepted by the public simply because you are who you are." -- Merrill Rose
Image

atomicdryad

Re: New update broke my addons.

Post by atomicdryad » 2013-02-11, 11:07

FYI firefox 18 blithely removed api functionality with no warning. This breaks extensions that make use of cache, such as 'cacheviewer' and likely alot of video/content downloaders. Here's a rant explaining things http://jrfom.com/2013/02/05/cacheviewer ... us-update/

I <3 palemoon but I think the decision to go with 18 instead of 17 ESR might prove problematic.

User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 27089
Joined: 2011-08-28, 17:27
Location: 58°2'16"N 14°58'31"E
Contact:

Re: New update broke my addons.

Post by Moonchild » 2013-02-12, 07:59

atomicdryad wrote:I <3 palemoon but I think the decision to go with 18 instead of 17 ESR might prove problematic.
Pale Moon is not going with 18, it's going with 19 - this kind of change will however be carried over from the Firefox code base. Add-on developers that rely on features no longer present in the later code base will have to update their add-ons to play into the changes of the core product the add-ons were developed for. This is no different than people having to change applications for different updates of Windows.
"There will be times when the position you advocate, no matter how well framed and supported, will not be accepted by the public simply because you are who you are." -- Merrill Rose
Image

Locked